using System;

namespace Syntriax.Engine.Core.Serialization;

public interface ISerializer
{
    object Deserialize(string configuration);
    object Deserialize(string configuration, Type type);
    T Deserialize<T>(string configuration);

    string Serialize(object instance);

    ProgressiveTask<object> DeserializeAsync(string configuration);
    ProgressiveTask<object> DeserializeAsync(string configuration, Type type);
    ProgressiveTask<T> DeserializeAsync<T>(string configuration);

    ProgressiveTask<string> SerializeAsync(object instance);
}
