namespace Syntriax.Engine.Core;

/// <summary>
/// Represents a <see cref="IBehaviour"/> to be notified after the draw phase of the <see cref="IUniverse"/> occurs.
/// </summary>
public interface IPostDraw : IBehaviour
{
    /// <summary>
    /// Updates the state of the <see cref="IBehaviour"/> after the main draw phase happens.
    /// </summary>
    void PostDraw();
}
